Skip to main content

Company

All pay-in and pay-out transactions within Attrus must be associated with a customer, either a person or a company. This ensures that their internal ID, called subject_id, can be used as a reference for future transactions.

Required information for company registration

The following endpoint is used to register company customers, regardless of nationality. If a document number has been previously registered, the company details will be updated. As soon as you send the request to register a company, you will receive a response with their subject_id.

curl -X POST "https://api.facilitapay.com/api/v1/subject/companies" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"company": {
"document_number": "45215604065562",
"document_type": "cnpj",
"social_name": "Company Social Name LTDA",
"company_name": "Company Fantasy Name",
"email": "[email protected]",
"website": "https://www.companywebsite.com",
"phone_country_code": "55",
"phone_area_code": "18",
"phone_number": "99812-1212",
"creation_date": "2015-04-01",
"address_street": "Rua Barão do Rio Branco",
"address_number": "310",
"address_complement": "",
"address_postal_code": "16201220",
"address_city": "Birigui",
"address_state": "SP",
"address_country": "BR",
"fiscal_country": "Brasil",
"net_monthly_average_income": "4000",
"net_value": "10000",
"main_activity": "8599603 - Treinamento em informática",
"activity_type": "other",
"company_type": "ltda",
"documents": [
{
"file_type": "application/pdf",
"file_url": "http://somedomain.com/document-x.pdf",
"labels": [
"social-contract"
]
}
],
"partners": [
{
"document_number": "92331064322",
"document_type": "CPF/CNPJ/TAXID",
"kind": "person",
"name": "Manoel Silvares",
"percentage_share": "50",
"address_country": "BR"
}
]
}
}'
200OK
{
"data": {
"updated_at": "2021-04-28T23:55:15.381004",
"status": "approved",
"social_name": "Company Social Name LTDA",
"required_clearance_level": 1,
"references": [],
"phone_number": "99812-1212",
"partners": [
{
"percentage_share": "50",
"name": "Manoel Silvares",
"kind": "person",
"id": "ce05676e-5ba9-4d38-b081-b978729772ae",
"documents": [],
"document_type": "CPF/CNPJ/TAXID",
"document_number": "92331064322",
"address_country": "BR"
}
],
"net_value": "10000.00",
"net_monthly_average_income": "4000.00",
"main_activity": "8599603 - Treinamento em informática",
"inserted_at": "2021-03-11T19:29:29.785250",
"id": "577ff176-cbc4-4490-ad70-9a8d1a1d4006",
"fiscal_country": "Brasil",
"email": "[email protected]",
"website": "https://www.companywebsite.com",
"documents": [
{
"labels": [
"social-contract"
],
"id": "58fc5430-6ed1-4b90-ae09-d21e47839370",
"file_url": "http://somedomain.com/document-x.pdf",
"file_type": "application/pdf"
}
],
"document_type": "cnpj",
"document_number": "45215604065562",
"creation_date": "2015-04-01",
"company_type": "ltda",
"company_name": "Company Fantasy Name",
"clearance_level": 1,
"address_street": "Rua Barão do Rio Branco",
"address_state": "SP",
"address_postal_code": "16201220",
"address_number": "310",
"address_country": "BR",
"address_complement": null,
"address_city": "Birigui",
"activity_type": "other"
}
}

HTTP Request

POST /subject/companies

Body Parameters

ParameterDescriptionTypeRequiredRequired For
companyAn object containing all the required valuesobjecttrue
document_numberCompany's national document numberstringtrueAll transactions
document_typeCompany's type of documentstringtrueAll transactions
social_nameCompany's social namestringtrueAll transactions
fiscal_countryName of country where the company is registered Ex.: Brasil, Colombia, Chile, MexicostringtrueAll transactions
emailCompany's e-mail addressstringfalseCards, PSE and boleto transactions
websiteCompany's websitestringfalse
phone_country_codeCountry phones code (2 digits: BR +55; MX +52; COP +57; CL +52)stringfalseCards transactions in MXN and for PSE
phone_area_codeInternal country area codestringfalsePSE transactions
phone_numberCompany's phone numberstringfalseCards and PSE transactions
creation_dateCompany's creation date (yyyy-mm-dd format)stringfalse
net_monthly_average_incomeCompany's net monthly average incomestring
address_streetCompany's street namestringfalseCards, PSE and boleto transactions
address_numberCompany's address numberstringfalseCards, PSE and boleto transactions
address_complementCompany's complementstringfalse
address_neighborhoodCompany's neighborhood/districtstringfalseCards, PSE and boleto transactions
address_postal_codePostal/ZIP codestringfalseCards, PSE and boleto transactions
address_cityCompany's city namestringfalseCards, PSE and boleto transactions
address_stateCompany's state of residencestringfalseCards, PSE and boleto transactions
address_countryAn ISO 3166-1 alpha-2 country code of the company's address countrystringfalse
main_activityCompany's segment, main marketstringfalse
activity_typeActivity typestringfalse
net_valueCompany's net valuenumberfalse
company_typeCompany's typestringfalseAll transactions
partnersAn array of objects containing the following values, each one:arrayfalse
partners.document_numberDocument numberstringfalseWhen sending partners field
partners.document_typeType of document² of the partnerstringfalseWhen sending partners field
partners.kindPartner typestringfalseWhen sending partners field
partners.namePartner NamestringfalseWhen sending partners field
partners.percentage_sharePartner percentage of shares in the companystringfalseWhen sending partners field
partners.address_countryAn ISO 3166-1 alpha-2 country code of the address countrystringfalseWhen sending partners field
documentsAn array of documents related to the customer (Cutomers who operate above a threshold value per month or exceed a cumulative limit in the last 12 months of operation must have the following associated documents: rg-number, cpf-number, rg-photo, address-proof, revenue-tax-declaration).arrayfalseCustomer who exceeds 20k USD annually in their amount of transactions
documents.labelsKeywords that may help identify the document in the company registration tab.arrayfalseWhen sending documents field
documents.file_typeDocument file MIME type. Must match the document type.stringfalseWhen sending documents field
documents.file_dataDocument file encoded in Base64.stringfalseWhen sending documents and using the file_data
documents.file_nameThe name of the file to be stored. Any file extension is accepted, but the extension must be included. Ex: document.pdf, document.docx, report.xlsstringfalseWhen sending documents field and using the file_data
documents.file_urlPublic URL pointing to the document. Note that it must start with http:// or https://stringfalseWhen sending documents and using a URL

Brazilian Company Registration

curl -X POST "https://api.facilitapay.com/api/v1/subject/companies" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"company": {
"document_number": "45215604065562",
"document_type": "cnpj",
"social_name": "Company Social Name LTDA",
"company_name": "Company Fantasy Name",
"email": "[email protected]",
"fiscal_country": "Brasil",
"partners": [
{
"document_number": "92331064322",
"document_type": "CPF/CNPJ/TAXID",
"kind": "person",
"name": "Manoel Silvares",
"percentage_share": "50",
"address_country": "BR"
}
]
}
}'
200OK
{
"data": {
"updated_at": "2025-05-02T22:11:08.714019",
"status": "approved",
"social_name": "Company name",
"required_clearance_level": 1,
"references": [],
"phone_number": null,
"partners": [],
"net_value": null,
"net_monthly_average_income": null,
"main_activity": null,
"inserted_at": "2025-05-02T22:11:08.672280",
"id": "01cf5b70-569f-43f5-80a4-7af303c9c003",
"fiscal_country": "Brasil",
"email": null,
"documents": [],
"document_type": "nit",
"document_number": "45215604065562",
"creation_date": null,
"company_type": null,
"company_name": null,
"clearance_level": 1,
"address_street": null,
"address_state": null,
"address_postal_code": null,
"address_number": null,
"address_neighborhood": null,
"address_country": null,
"address_complement": null,
"address_city": null,
"activity_type": null
}
}

In Brazil, the document_type for companies is the CNPJ (a 14 digit-number), below you can check a payload sample for registration of a person in Brazil. For other requirements depending on payment methods, check the table in section Information needed for registration (Companies).

HTTP Request

POST /subject/companies

Body Parameters

See company body properties

Mexican Company Registration

curl -X POST "https://api.facilitapay.com/api/v1/subject/companies" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"company": {
"document_number": "GUJ970202BG4",
"document_type": "rfc",
"social_name": "Company name",
"fiscal_country": "Mexico"
}
}'
200OK
{
"data": {
"updated_at": "2024-02-05T22:11:08.714019",
"status": "approved",
"social_name": "Company's name",
"required_clearance_level": 1,
"references": [],
"phone_number": null,
"partners": [],
"net_value": null,
"net_monthly_average_income": null,
"main_activity": null,
"inserted_at": "2024-02-05T22:11:08.672280",
"id": "01cf5b70-569f-43f5-80a4-7af303c9c003",
"fiscal_country": "Mexico",
"email": null,
"documents": [],
"document_type": "rfc",
"document_number": "GUJ970202BG4",
"creation_date": null,
"company_type": null,
"company_name": null,
"clearance_level": 1,
"address_street": null,
"address_state": null,
"address_postal_code": null,
"address_number": null,
"address_neighborhood": null,
"address_country": null,
"address_complement": null,
"address_city": null,
"activity_type": null
}
}

In Mexico the document_type is going to be rfc (12-digit). Below you can check a payload with initial required information. For other requirements depending on payment methods, check the table in section Information needed for registration (Companies)

HTTP Request

POST /subject/companies

Body Parameters

See company body properties

Colombian Company Registration

curl -X POST "https://api.facilitapay.com/api/v1/subject/companies" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"company": {
"document_number": "8001972684",
"document_type": "nit",
"social_name": "Company name",
"fiscal_country": "Colombia"
}
}'
200OK
{
"data": {
"updated_at": "2025-05-02T22:11:08.714019",
"status": "approved",
"social_name": "Company name",
"required_clearance_level": 1,
"references": [],
"phone_number": null,
"partners": [],
"net_value": null,
"net_monthly_average_income": null,
"main_activity": null,
"inserted_at": "2025-05-02T22:11:08.672280",
"id": "01cf5b70-569f-43f5-80a4-7af303c9c003",
"fiscal_country": "Colombia",
"email": null,
"documents": [],
"document_type": "nit",
"document_number": "8001972684",
"creation_date": null,
"company_type": null,
"company_name": null,
"clearance_level": 1,
"address_street": null,
"address_state": null,
"address_postal_code": null,
"address_number": null,
"address_neighborhood": null,
"address_country": null,
"address_complement": null,
"address_city": null,
"activity_type": null
}
}

In Colombia the document_type is going to be nit (10-digit). Below you can check a payload with initial required information. For other requirements depending on payment methods, check the table in section Required information for company registration

HTTP Request

POST /subject/companies

Body Parameters

See company body properties

Chilean Company Resgitration

curl -X POST "https://api.facilitapay.com/api/v1/subject/companies" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"company": {
"document_number": "265874694",
"document_type": "rut",
"social_name": "Company name",
"fiscal_country": "Chile"
}
}'
200OK
{
"data": {
"updated_at": "2025-05-02T22:11:08.714019",
"status": "approved",
"social_name": "Company name",
"required_clearance_level": 1,
"references": [],
"phone_number": null,
"partners": [],
"net_value": null,
"net_monthly_average_income": null,
"main_activity": null,
"inserted_at": "2025-05-02T22:11:08.672280",
"id": "01cf5b70-569f-43f5-80a4-7af303c9c003",
"fiscal_country": "Chile",
"email": null,
"documents": [],
"document_type": "rut",
"document_number": "265874694",
"creation_date": null,
"company_type": null,
"company_name": null,
"clearance_level": 1,
"address_street": null,
"address_state": null,
"address_postal_code": null,
"address_number": null,
"address_neighborhood": null,
"address_country": null,
"address_complement": null,
"address_city": null,
"activity_type": null
}
}

In Chile the document_type is going to be rut (9-digit). Below you can check a payload with initial required information. For other requirements depending on payment methods, check the table in section Required information for company registration

HTTP Request

POST /subject/companies

Body Parameters

See company body properties

Company List

curl -X GET "https://api.facilitapay.com/api/v1/subject/companies" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...."
200OK
{
"data": [
{
"updated_at": "2025-02-10T08:55:35.770428",
"status": "approved",
"social_name": "Company Social Name LTDA",
"required_clearance_level": 2,
"references": [],
"phone_number": "99812-1212",
"phone_country_code": "55",
"phone_area_code": "18",
"partners": [],
"net_value": "10000.00",
"net_monthly_average_income": "4000.00",
"main_activity": "8599603 - Treinamento em informática",
"inserted_at": "2021-03-11T19:29:29.785250",
"id": "577ff176-cbc4-4490-ad70-9a8d1a1d4006",
"fiscal_country": "Brasil",
"email": "[email protected]",
"documents": [],
"document_type": "cnpj",
"document_number": "45215604065562",
"creation_date": "2015-04-01",
"company_type": "Ltda",
"company_name": "Company Fantasy Name",
"clearance_level": 2,
"address_street": "Rua Barão do Rio Branco",
"address_state": "SP",
"address_postal_code": "16201220",
"address_number": "310",
"address_neighborhood": "Centro",
"address_country": "BR",
"address_complement": null,
"address_city": "Birigui",
"activity_type": "other"
}
]
}

You can use the following endpoint to list all the registered companies and associated partners and owners:

HTTP Request

GET /subject/companies

Path Parameters

ParameterDescriptionTypeRequired
last_idLast company UUID for paginationstringfalse

Company Update

curl -X PUT "https://api.facilitapay.com/api/v1/subject/companies/5fd0aa81-b427-4a29-9968-6491d1d7f8b0" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"person": {
"net_monthly_average_income": "2000"
}
}'
{
"data": {
"updated_at": "2025-07-09T13:51:30.989491",
"status": "approved",
"social_name": "Comany Social Name LTDA",
"rfc_pf": null,
"required_clearance_level": 1,
"references": [],
"phone_number": null,
"phone_country_code": null,
"phone_area_code": null,
"net_monthly_average_income": "20000",
"inserted_at": "2023-12-11T14:11:02.571103",
"id": "5fd0aa81-b427-4a29-9968-6491d1d7f8b0",
"fiscal_country": "Brasil",
"email": "[email protected]",
"documents": [],
"document_type": "cnpj",
"document_number": "53847358000110",
"clearance_level": 1,
"birth_date": null,
"address_street": null,
"address_state": null,
"address_postal_code": null,
"address_number": null,
"address_neighborhood": null,
"address_country": null,
"address_complement": null,
"address_city": null
}
}
warning

Common mistakes

It is not possible to update the document_number and document_type.

To update a company's information, you can use the endpoint below:

Note: You can update all fields except for document_number and document_type.

HTTP Request

PUT /subject/companies/:id

Path Parameters

ParameterDescriptionTypeRequired
idCompany UUIDstringtrue

Body Parameters

See company body properties

Company Details

curl -X GET "https://api.facilitapay.com/api/v1/subject/companies/577ff176-cbc4-4490-ad70-9a8d1a1d4006" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...."
200OK
{
"data": {
"updated_at": "2025-02-10T08:55:35.770428",
"status": "approved",
"social_name": "Company Social Name LTDA",
"required_clearance_level": 2,
"references": [],
"phone_number": "99812-1212",
"phone_country_code": "55",
"phone_area_code": "18",
"partners": [],
"net_value": "10000.00",
"net_monthly_average_income": "4000.00",
"main_activity": "8599603 - Treinamento em informática",
"inserted_at": "2021-03-11T19:29:29.785250",
"id": "577ff176-cbc4-4490-ad70-9a8d1a1d4006",
"fiscal_country": "Brasil",
"email": "[email protected]",
"documents": [],
"document_type": "cnpj",
"document_number": "45215604065562",
"creation_date": "2015-04-01",
"company_type": "Ltda",
"company_name": "Company Fantasy Name",
"clearance_level": 2,
"address_street": "Rua Barão do Rio Branco",
"address_state": "SP",
"address_postal_code": "16201220",
"address_number": "310",
"address_neighborhood": "gdhg",
"address_country": "BR",
"address_complement": null,
"address_city": "Birigui",
"activity_type": "other"
}
}

To check a company's information, you can use the following endpoint:

HTTP Request

GET /subject/companies/:id

Path Parameters

ParameterDescriptionTypeRequired
idCompany UUIDstringtrue